Skip to main content
POST /api/v1/lake/add_max_leverage
The operation type for signing is "add_lake_max_leverage". Only the vault creator can call this endpoint.

Request Body

FieldTypeNeedDescriptionExample
”account”stringrequiredCreator wallet address42trU9A5…
“signature”stringrequiredCryptographic signature5J3mBbAH…
“timestamp”integerrequiredCurrent timestamp in milliseconds1716200000000
”lake”stringrequiredVault addressAbCdEfGh123456789…
“symbols”string arrayrequiredSymbols that should receive the same max leverage cap[“BTC”, “ETH”]
“max_leverage”decimal stringrequiredMaximum leverage to apply to every listed symbol10
”agent_wallet”stringoptionalAgent wallet address69trU9A5…
“expiry_window”integeroptionalSignature expiry in milliseconds30000
{
  "account": "42trU9A5...",
  "signature": "5J3mBbAH...",
  "timestamp": 1716200000000,
  "lake": "AbCdEfGh123456789...",
  "symbols": ["BTC", "ETH"],
  "max_leverage": "10"
}

Response

  • Status 200: Max leverage updated successfully
{
  "success": true,
  "data": {
    "success": true
  },
  "error": null,
  "code": null
}
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 403: Caller is not the vault creator
  • Status 500: Internal server error